<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Response;
        
class LocationResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp, \Bushelpowered\Api\Common\HasDeletedAtTimestamp
{
    public string $id;
    public string $companyId;
    public int $centreId;
    public int $cqgCategoryId;
    public string $displayName;
    public int $sortOrder;
    public ?string $salesSeriesId = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $companyId, int $centreId, int $cqgCategoryId, string $displayName, int $sortOrder, ?string $salesSeriesId, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->id = $id;
        $this->companyId = $companyId;
        $this->centreId = $centreId;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->displayName = $displayName;
        $this->sortOrder = $sortOrder;
        $this->salesSeriesId = $salesSeriesId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}